%FNAMEPREP
% fnameprep = prepare_fname(fname) 
% Prepares a filename to be sent to command line as an argument or command,
% by enclosing it in double quotes if it has any space character.
%
% TODO: This function needs logic to detect invalid file names and to work
% properly if fname is already enclosed in double quotes. It also needs
% more testing.
%
% Copyright (C) 2019 INPE - Instituto Nacional de Pesquisas Espaciais.
% This is free software - see file LICENSE.txt for terms and conditions.

% Code written by Marcio A. A. Fialho.

function fnameprep = prepare_fname(fname)
    fnameprep = fname;
    
    if sum(isspace(char(fname))) ~= 0 % filename has spaces
        % Enclose file name in double quotes
        fnameprep = ['"' fname '"'];
    end
end
