function covtrace = calc_covtrace(data)
% CALC_COVTRACE Helper function for the plotFig7.m script.
% Syntax: covtrace = calc_covtrace(data)
% returns in covtrace an array with the trace of the covariance matrices
% computed from their inverses stored in data.FsumList(:,:,k) with k
% being the inverse covariance matrix index.
%
% Copyright (C) 2017-2019 INPE - Instituto Nacional de Pesquisas Espaciais.
% This is free software - see file LICENSE.txt for terms and conditions.

% Code written by Marcio A. A. Fialho.

Nlistsize = size(data.Nlist, 2);
covtrace = zeros(1, Nlistsize);
for k=1:Nlistsize
    covtrace(k) = trace(inv(data.FsumList(:,:,k)));
end

end

