function rtn = read_calspec(filename)
% Function used to read CALSPEC calibration files, written for the
% "THEORETICAL LIMITS OF STAR SENSOR ACCURACY" journal article.
%
% Copyright (C) 2019 INPE - Instituto Nacional de Pesquisas Espaciais.
% This is free software - see file LICENSE.txt for terms and conditions.

% Code written by Marcio A. A. Fialho.

if exist('fitsread','file') || exist('fitsread','builtin')
    rtn = fitsread(filename,'binarytable');
else
    rtn = read_calspec_int(filename,'binarytable');
end

end

