% Test case used to test consistency between read_calspec_int.m
% and fitsread.m.
%
% Copyright (C) 2019 INPE - Instituto Nacional de Pesquisas Espaciais.
% This is free software - see file LICENSE.txt for terms and conditions.

% Code written by Marcio A. A. Fialho.

function test_read_calspec_int

testwith('../calspec/1757132_stis_004.fits');
testwith('../calspec/alpha_lyr_stis_008.fits');
testwith('../calspec/kf06t2_stisnic_004.fits');
testwith('../calspec/sun_reference_stis_002.fits');
testwith('../calspec/vb8_stisnic_006.fits');

fprintf(['read_calspec_int tested successfully with' ...
    ' five CALSPEC .fits files.\n']);
end


function testwith(fname)
    x = read_calspec_int(fname);
    y = fitsread(fname, 'binarytable');
    if isequal(x, y) ~= true
        error('read_calspec_int differs for file %s', fname);
    end
end